Bug 177589 - [maintainer update] misc/vifm: update to 0.7.4b
Summary: [maintainer update] misc/vifm: update to 0.7.4b
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-02 21:00 UTC by Kaspars Bankovskis
Modified: 2013-09-01 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (8.56 KB, patch)
2013-04-02 21:00 UTC, Kaspars Bankovskis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kaspars Bankovskis 2013-04-02 21:00:00 UTC
- Update to version 0.7.4b

New files:
files/patch-src-utils-utils.c
files/patch-src-sort.c
files/patch-configure.in

Removed files:
files/patch-src__commands.c
files/patch-src__file_magic.c
files/patch-src__fileops.c

Fix: Patch attached with submission follows:
Comment 1 Raphael Kubo da Costa freebsd_committer 2013-05-11 23:05:15 UTC
The patch to Makefile has failed to apply cleanly, could you take a look
at that?

As a sidenote, version 0.7.5 seems to have been released a few days ago,
so you might want to consider updating to it directly.
Comment 2 Guido Falsi freebsd_committer 2013-08-31 17:51:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-09-01 01:10:25 UTC
Author: madpilot
Date: Sun Sep  1 00:10:16 2013
New Revision: 325837
URL: http://svnweb.freebsd.org/changeset/ports/325837

Log:
  - Update to 0.7.4b
  
  PR:		ports/177589
  Submitted by:	Kaspars Bankovskis <kaspars@bankovskis.lv> (maintainer)

Added:
  head/misc/vifm/files/patch-configure.in   (contents, props changed)
  head/misc/vifm/files/patch-src-sort.c   (contents, props changed)
  head/misc/vifm/files/patch-src-utils-utils.c   (contents, props changed)
Deleted:
  head/misc/vifm/files/patch-src__commands.c
  head/misc/vifm/files/patch-src__file_magic.c
  head/misc/vifm/files/patch-src__fileops.c
Modified:
  head/misc/vifm/Makefile   (contents, props changed)
  head/misc/vifm/distinfo   (contents, props changed)

Modified: head/misc/vifm/Makefile
==============================================================================
--- head/misc/vifm/Makefile	Sat Aug 31 23:55:40 2013	(r325836)
+++ head/misc/vifm/Makefile	Sun Sep  1 00:10:16 2013	(r325837)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	vifm
-PORTVERSION=	0.6.3
+PORTVERSION=	0.7.4b
 CATEGORIES=	misc
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
 
@@ -12,40 +12,21 @@ COMMENT=	Ncurses based file manager with
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-OPTIONS_DEFINE=	VIFM_SCREEN
-VIFM_SCREEN_DESC=	Use vifm with the screen program
-
-USES=		ncurses
+USES=		gmake ncurses
 USE_BZIP2=	yes
-GNU_CONFIGURE=	yes
+USE_AUTOTOOLS=	autoconf
 CONFIGURE_ARGS=	--without-gtk
 MAKE_ARGS=	ACLOCAL="${TRUE}" AUTOCONF="${TRUE}" AUTOHEADER="${TRUE}" \
 		AUTOMAKE="${TRUE}"
 
-MAN1=		vifm.1
+MAN1=		vifm.1 \
+		vifm-pause.1 \
+		vifmrc-converter.1
 PLIST_FILES=	bin/vifm \
+		bin/vifmrc-converter \
 		bin/vifm-pause \
-		%%DATADIR%%/startup \
 		%%DATADIR%%/vifm-help.txt \
-		%%DATADIR%%/vifm.txt \
-		%%DATADIR%%/vifm.vim \
 		%%DATADIR%%/vifmrc
 PLIST_DIRS=	%%DATADIR%%
 
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MVIFM_SCREEN}
-RUN_DEPENDS=	screen:${PORTSDIR}/sysutils/screen
-.endif
-
-post-patch:
-	@${REINPLACE_CMD} -e 's/resize_term/resizeterm/g' \
-		${WRKSRC}/src/ui.c
-.if ${PORT_OPTIONS:MVIFM_SCREEN}
-	@${REINPLACE_CMD} -e "s/cfg.use_screen = 0/cfg.use_screen = 1/" \
-		${WRKSRC}/src/config.c
-	@${REINPLACE_CMD} -e "s/USE_SCREEN=0/USE_SCREEN=1/" \
-		${WRKSRC}/src/vifmrc
-.endif
-
 .include <bsd.port.mk>

Modified: head/misc/vifm/distinfo
==============================================================================
--- head/misc/vifm/distinfo	Sat Aug 31 23:55:40 2013	(r325836)
+++ head/misc/vifm/distinfo	Sun Sep  1 00:10:16 2013	(r325837)
@@ -1,2 +1,2 @@
-SHA256 (vifm-0.6.3.tar.bz2) = 7b6ac1056e7fbca46fb8eb1a40f31c92fc5694b19ca4267fc63e9e295d8cb3ec
-SIZE (vifm-0.6.3.tar.bz2) = 386861
+SHA256 (vifm-0.7.4b.tar.bz2) = 90b4fb64501e436d7ac8699f0cc75d013a72aa471f978ada0ce9b90506213c57
+SIZE (vifm-0.7.4b.tar.bz2) = 562778

Added: head/misc/vifm/files/patch-configure.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/misc/vifm/files/patch-configure.in	Sun Sep  1 00:10:16 2013	(r325837)
@@ -0,0 +1,42 @@
+--- configure.in.orig	2013-04-02 18:52:13.000000000 +0300
++++ configure.in	2013-04-02 18:53:57.000000000 +0300
+@@ -24,7 +24,6 @@
+ AC_CHECK_HEADER([limits.h], [], [AC_MSG_ERROR([limits.h header not found.])])
+ AC_CHECK_HEADER([locale.h], [], [AC_MSG_ERROR([locale.h header not found.])])
+ AC_CHECK_HEADER([math.h], [], [AC_MSG_ERROR([math.h header not found.])])
+-AC_CHECK_HEADER([mntent.h], [], [AC_MSG_ERROR([mntent.h header not found.])])
+ AC_CHECK_HEADER([pwd.h], [], [AC_MSG_ERROR([pwd.h header not found.])])
+ AC_CHECK_HEADER([signal.h], [], [AC_MSG_ERROR([signal.h header not found.])])
+ AC_CHECK_HEADER([stdarg.h], [], [AC_MSG_ERROR([stdarg.h header not found.])])
+@@ -69,7 +68,6 @@
+ AC_CHECK_FUNC([closedir], [], [AC_MSG_ERROR([closedir() function not found.])])
+ AC_CHECK_FUNC([dup], [], [AC_MSG_ERROR([dup() function not found.])])
+ AC_CHECK_FUNC([dup2], [], [AC_MSG_ERROR([dup2() function not found.])])
+-AC_CHECK_FUNC([endmntent], [], [AC_MSG_ERROR([endmntent() function not found.])])
+ AC_CHECK_FUNC([execve], [], [AC_MSG_ERROR([execve() function not found.])])
+ AC_CHECK_FUNC([execvp], [], [AC_MSG_ERROR([execvp() function not found.])])
+ AC_CHECK_FUNC([exit], [], [AC_MSG_ERROR([exit() function not found.])])
+@@ -91,7 +89,6 @@
+ AC_CHECK_FUNC([getgrgid], [], [AC_MSG_ERROR([getgrgid() function not found.])])
+ AC_CHECK_FUNC([getgrgid_r], [], [AC_MSG_ERROR([getgrgid_r() function not found.])])
+ AC_CHECK_FUNC([getgrnam], [], [AC_MSG_ERROR([getgrnam() function not found.])])
+-AC_CHECK_FUNC([getmntent], [], [AC_MSG_ERROR([getmntent() function not found.])])
+ AC_CHECK_FUNC([getpid], [], [AC_MSG_ERROR([getpid() function not found.])])
+ AC_CHECK_FUNC([getppid], [], [AC_MSG_ERROR([getppid() function not found.])])
+ AC_CHECK_FUNC([getpwent], [], [AC_MSG_ERROR([getpwent() function not found.])])
+@@ -132,7 +129,6 @@
+ AC_CHECK_FUNC([setenv], [], [AC_MSG_ERROR([setenv() function not found.])])
+ AC_CHECK_FUNC([setgrent], [], [AC_MSG_ERROR([setgrent() function not found.])])
+ AC_CHECK_FUNC([setlocale], [], [AC_MSG_ERROR([setlocale() function not found.])])
+-AC_CHECK_FUNC([setmntent], [], [AC_MSG_ERROR([setmntent() function not found.])])
+ AC_CHECK_FUNC([setpgid], [], [AC_MSG_ERROR([setpgid() function not found.])])
+ AC_CHECK_FUNC([setpwent], [], [AC_MSG_ERROR([setpwent() function not found.])])
+ AC_CHECK_FUNC([setsid], [], [AC_MSG_ERROR([setsid() function not found.])])
+@@ -164,7 +160,6 @@
+ AC_CHECK_FUNC([strtok_r], [], [AC_MSG_ERROR([strtok_r() function not found.])])
+ AC_CHECK_FUNC([strtol], [], [AC_MSG_ERROR([strtol() function not found.])])
+ AC_CHECK_FUNC([strtoll], [], [AC_MSG_ERROR([strtoll() function not found.])])
+-AC_CHECK_FUNC([strverscmp], [], [AC_MSG_ERROR([strverscmp() function not found.])])
+ AC_CHECK_FUNC([sysconf], [], [AC_MSG_ERROR([sysconf() function not found.])])
+ AC_CHECK_FUNC([time], [], [AC_MSG_ERROR([time() function not found.])])
+ AC_CHECK_FUNC([tolower], [], [AC_MSG_ERROR([tolower() function not found.])])

Added: head/misc/vifm/files/patch-src-sort.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/misc/vifm/files/patch-src-sort.c	Sun Sep  1 00:10:16 2013	(r325837)
@@ -0,0 +1,29 @@
+--- src/sort.c.orig	2013-04-02 18:55:08.000000000 +0300
++++ src/sort.c	2013-04-02 18:37:26.000000000 +0300
+@@ -46,7 +46,7 @@
+ 
+ static int sort_dir_list(const void *one, const void *two);
+ TSTATIC int strnumcmp(const char s[], const char t[]);
+-#if defined(_WIN32) || defined(__APPLE__) || defined(__CYGWIN__)
++#if defined(_WIN32) || defined(__APPLE__) || defined(__CYGWIN__) || defined(__FreeBSD__)
+ static int vercmp(const char s[], const char t[]);
+ #else
+ static char * skip_leading_zeros(const char str[]);
+@@ -106,7 +106,7 @@
+ TSTATIC int
+ strnumcmp(const char s[], const char t[])
+ {
+-#if defined(_WIN32) || defined(__APPLE__) || defined(__CYGWIN__)
++#if defined(_WIN32) || defined(__APPLE__) || defined(__CYGWIN__) || defined(__FreeBSD__)
+ 	return vercmp(s, t);
+ #else
+ 	const char *new_s = skip_leading_zeros(s);
+@@ -115,7 +115,7 @@
+ #endif
+ }
+ 
+-#if defined(_WIN32) || defined(__APPLE__) || defined(__CYGWIN__)
++#if defined(_WIN32) || defined(__APPLE__) || defined(__CYGWIN__) || defined(__FreeBSD__)
+ static int
+ vercmp(const char s[], const char t[])
+ {

Added: head/misc/vifm/files/patch-src-utils-utils.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/misc/vifm/files/patch-src-utils-utils.c	Sun Sep  1 00:10:16 2013	(r325837)
@@ -0,0 +1,20 @@
+--- src/utils/utils.c.orig	2013-04-02 18:56:49.000000000 +0300
++++ src/utils/utils.c	2013-04-02 18:21:24.000000000 +0300
+@@ -34,7 +34,7 @@
+ #include <sys/wait.h> /* waitpid() */
+ #endif
+ 
+-#if !defined(_WIN32) && !defined(__APPLE__)
++#if !defined(_WIN32) && !defined(__APPLE__) && !defined(__FreeBSD__)
+ #include <mntent.h> /* getmntent() */
+ #endif
+ 
+@@ -267,7 +267,7 @@
+ int
+ is_on_slow_fs(const char *full_path)
+ {
+-#if defined(_WIN32) || defined(__APPLE__)
++#if defined(_WIN32) || defined(__APPLE__) || defined(__FreeBSD__)
+ 	return 0;
+ #else
+ 	FILE *f;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Guido Falsi freebsd_committer 2013-09-01 01:10:26 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!